function Diameter(r) {
    return (r * 2.).toFixed(2);
}
function Circumference(r) {
    return ((Math.PI * 2) * r).toFixed(2);
}
function Area(r) {
    return (Math.PI * (r * r)).toFixed(2);
}

function doMath() {
    let r = parseFloat(document.getElementById('RadiusInput').value);
    const selectedOption = document.getElementById('options');
    let Output = document.getElementById('output');
    const mathValue = selectedOption.value;

    switch (mathValue) {
        case "Diameter":
            Output.innerHTML = Diameter(r);
            break;
        case "Circumference":
            Output.innerHTML = Circumference(r);
            break;
        case "Area":
            Output.innerHTML = Area(r);
            break;
        default:
            Output.innerHTML = 'Please select a valid option.';
    }
}
